


from Ft.Ods import Database
from Ft.Ods.StorageManager.Adapters import Constants
import test_metaobject, test_metadata_util
def Test(tester,db,klass):

    test_metaobject.Test(tester,db,klass)

    tester.startGroup("Property Interface on %s Driver %s" % (klass.__name__,tester.test_data['driver']))
    def GetType(db,values):
        return db.schema().resolve('::pk_short')
    test_metadata_util.test_form_drop(tester,db,klass,'type',GetType)
    tester.groupDone()
